Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QXmlDefaultHandler Class Reference
[XML module]

The QXmlDefaultHandler class provides a default implementation of all the XML handler classes. More...

All the functions in this class are reentrant when Qt is built with thread support.

`#include <qxml.h>`

Inherits QXmlContentHandler, QXmlErrorHandler, QXmlDTDHandler, QXmlEntityResolver, QXmlLexicalHandler, and QXmlDeclHandler.

List of all member functions.

## Public Members

- QXmlDefaultHandler ()
- virtual ~QXmlDefaultHandler ()

## Detailed Description

The QXmlDefaultHandler class provides a default implementation of all the XML handler classes.

Very often we are only interested in parts of the things that the reader reports. This class implements a default behaviour for the handler classes (i.e. most of the time do nothing). Usually this is the class you subclass for implementing your own customized handler.

See also the Introduction to SAX2.

See also QXmlDTDHandler, QXmlDeclHandler, QXmlContentHandler, QXmlEntityResolver, QXmlErrorHandler, QXmlLexicalHandler, and XML.

## Member Function Documentation

### QXmlDefaultHandler::QXmlDefaultHandler ()

Constructor.

### QXmlDefaultHandler::~QXmlDefaultHandler ()`[virtual]`

Destructor.

This file is part of the Qt toolkit. Copyright © 1995-2005 Trolltech. All Rights Reserved.